Bug 1861682 - qemu-img convert uses possibly slow pre-zeroing on block storage [rhel-8.2.1.z]
Summary: qemu-img convert uses possibly slow pre-zeroing on block storage [rhel-8.2.1.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: 8.2
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 8.3
Assignee: Kevin Wolf
QA Contact: Xueqiang Wei
URL:
Whiteboard:
Depends On: 1847192
Blocks: 1855250 1857815
TreeView+ depends on / blocked
 
Reported: 2020-07-29 09:14 UTC by Oneata Mircea Teodor
Modified: 2020-09-23 09:51 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-4.2.0-29.module+el8.2.1+7668+93a32c6b.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1847192
Environment:
Last Closed: 2020-09-01 09:38:55 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3586 None None None 2020-09-01 09:39:45 UTC

Comment 5 Xueqiang Wei 2020-08-13 10:31:25 UTC
Kevin,

This bug was reported against rhel-8.2.1 z-stream, but the version is qemu-kvm-5.1.0-2.module+el8.3.0+7652+b30e6901 in "Fixed In Version".


Is it correct? Please help update it. Many thanks.

Comment 6 Kevin Wolf 2020-08-13 15:28:41 UTC
(In reply to Xueqiang Wei from comment #5)
> This bug was reported against rhel-8.2.1 z-stream, but the version is
> qemu-kvm-5.1.0-2.module+el8.3.0+7652+b30e6901 in "Fixed In Version".

Danilo, can you please check this? It looks inconsistent to me.

Comment 7 Danilo Cesar Lemes de Paula 2020-08-13 23:20:00 UTC
Yes, the ITR flag should be striped on ZStream clones. This wasn't, which ended up in a query to move all BZs fixed by the rebase to ON_QA.

Thanks for spoting this.

Comment 11 Danilo Cesar Lemes de Paula 2020-08-17 20:33:36 UTC
Is it possible to test/verify it without the errata?

Comment 15 Xueqiang Wei 2020-08-21 02:19:38 UTC
Tested with qemu-kvm-4.2.0-29.module+el8.2.1+7668+93a32c6b.1, not hit this issue. So set status to VERIFIED.

Versions:
kernel-4.18.0-229.el8.x86_64
qemu-kvm-4.2.0-29.module+el8.2.1+7668+93a32c6b.1


1. create a 2G iamge
# qemu-img create -f raw test.img 2G
Formatting 'test.img', fmt=raw size=2147483648

2. covert it to full allocation
# qemu-img convert -p -f raw -O raw -S 0 test.img test.img 
    (100.00/100%)
# qemu-img info test.img 
image: test.img
file format: raw
virtual size: 2 GiB (2147483648 bytes)
disk size: 2 GiB

3. create lvm on block device
# pvcreate /dev/mapper/mpatha
# vgcreate vgtest /dev/mapper/mpatha
# lvcreate -L 20G -n lvtest vgtest

4. convert the image to block device
# time qemu-img convert -f raw -O raw -t none -T none -W /home/test.img /dev/vgtest/lvtest -p
    (100.00/100%)

real	0m26.060s
user	0m0.587s
sys	0m1.301s

Comment 17 errata-xmlrpc 2020-09-01 09:38:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: virt:8.2 and virt-devel:8.2 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3586


Note You need to log in before you can comment on or make changes to this bug.